/*
 * subex.h - Substitution (execution)
 *
 * Copyright 2012 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef SUBEX_H
#define	SUBEX_H

#include "subst.h"


struct var {
	const char *name;
	const char *value;
	struct var *next;
};


struct var *substitute(const struct subst *sub, const struct var *in);
struct var *make_var(const char *name, const char *val);
const char *var_lookup(const struct var *vars, const char *name);
void free_vars(struct var *vars);

#endif /* !SUBEX_H */
